### Constructor

# Gtk TextBuffer new

#### Declaration [src]

    GtkTextBuffer*
    gtk_text_buffer_new (
      GtkTextTagTable* table
    )

#### Description [src]

Creates a new text buffer.

#### Parameters

`table` | `GtkTextTagTable`
| A tag table, or `NULL` to create a new one.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkTextBuffer`
| A new text buffer.
| The caller of the function takes ownership of the data, and is responsible for freeing it.